Create alert rule
Create a new alert rule with notification channels.
POST
/alert-rules
Create a new alert rule with notification channels.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Request Body required
Request body
application/jsonname
string
REQUIRED
Alert rule name
description
string
Optional description
rule_type
string
REQUIRED
Type of alert rule
Enum:
failure_rate, latency, dlq, volume_drop, issue_openedrule_config
object
Rule-type-specific configuration
source_id
string
Scope to a specific source
destination_id
string
Scope to a specific destination
channel_ids
string[]
Notification channel IDs
Array of:
cooldown_minutes
integer
Cooldown between alerts (minutes)
Responses
201
Alert rule created
application/jsonalert_rule
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
enabled
integer
REQUIRED
rule_type
string
REQUIRED
rule_config
string
REQUIRED
source_id
string | null
REQUIRED
destination_id
string | null
REQUIRED
channel_ids
string
REQUIRED
cooldown_minutes
integer
REQUIRED
last_triggered_at
string | null
REQUIRED
trigger_count
integer
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
400
Bad request
401
Unauthorized
curl -X POST 'https://hookstream.io/v1/alert-rules' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "High failure rate", "description": "string", "rule_type": "failure_rate", "rule_config": {}, "source_id": "string", "destination_id": "string", "channel_ids": [ "string" ], "cooldown_minutes": 60}'
const response = await fetch('https://hookstream.io/v1/alert-rules', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "High failure rate", "description": "string", "rule_type": "failure_rate", "rule_config": {}, "source_id": "string", "destination_id": "string", "channel_ids": [ "string" ], "cooldown_minutes": 60 })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/alert-rules', headers=headers, json={ "name": "High failure rate", "description": "string", "rule_type": "failure_rate", "rule_config": {}, "source_id": "string", "destination_id": "string", "channel_ids": [ "string" ], "cooldown_minutes": 60})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "High failure rate", "description": "string", "rule_type": "failure_rate", "rule_config": {}, "source_id": "string", "destination_id": "string", "channel_ids": [ "string" ], "cooldown_minutes": 60}`) req, _ := http.NewRequest("POST", "https://hookstream.io/v1/alert-rules", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
201
Response
{ "alert_rule": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "description": "<string>", "enabled": 123, "rule_type": "<string>", "rule_config": "<string>", "source_id": "<string>", "destination_id": "<string>", "channel_ids": "<string>", "cooldown_minutes": 123, "last_triggered_at": "<string>", "trigger_count": 123, "created_at": "<string>", "updated_at": "<string>" }}
API Playground
Try this endpoint
POST
/alert-rules